POST/api/v1/prompts

Create a new prompt version

Creates a new version of a named prompt. Version auto-increments.

Authentication

Send Authorization: Bearer YOUR_API_KEY on every request. Generate API keys at /dashboard/api-keys.

Request body required

Example

{
  "projectId": "00000000-0000-0000-0000-000000000000",
  "name": "string",
  "content": "string",
  "variables": [
    "string"
  ]
}
Schema
{
  "application/json": {
    "schema": {
      "type": "object",
      "required": [
        "projectId",
        "name",
        "content"
      ],
      "properties": {
        "projectId": {
          "type": "string",
          "format": "uuid"
        },
        "name": {
          "type": "string"
        },
        "content": {
          "type": "string"
        },
        "variables": {
          "type": "array",
          "items": {
            "type": "string"
          }
        }
      }
    }
  }
}

Response

All status codes

201Prompt version created

Code samples

cURL

curl -X POST \
  https://evalguard.ai/api/v1/prompts \
  -H "Authorization: Bearer $EVALGUARD_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{ "projectId": "00000000-0000-0000-0000-000000000000", "name": "string", "content": "string", "variables": [ "string" ] }'

TypeScript

import { EvalGuard } from "@evalguard/sdk";

const client = new EvalGuard({ apiKey: process.env.EVALGUARD_API_KEY });

const response = await client.request({
  method: "POST",
  path: "/api/v1/prompts",
  body: {
    "projectId": "00000000-0000-0000-0000-000000000000",
    "name": "string",
    "content": "string",
    "variables": [
      "string"
    ]
  },
});
console.log(response);

Python

from evalguard import EvalGuard
import os

client = EvalGuard(api_key=os.environ["EVALGUARD_API_KEY"])

response = client.request(
    method="POST",
    path="/api/v1/prompts",
    body={
    "projectId": "00000000-0000-0000-0000-000000000000",
    "name": "string",
    "content": "string",
    "variables": [
        "string"
    ]
},
)
print(response)

Go

package main

import (
	"context"
	"fmt"
	"os"

	"github.com/evalguard/evalguard-go"
)

func main() {
	client := evalguard.NewClient(os.Getenv("EVALGUARD_API_KEY"))
	resp, err := client.Request(context.Background(), "POST", "/api/v1/prompts", map[string]any{"projectId": "00000000-0000-0000-0000-000000000000", "name": "string", "content": "string", "variables": []any{"string"}})
	if err != nil { panic(err) }
	fmt.Println(resp)
}

Other Prompts endpoints